Show / Hide Table of Contents

# AsyncPreRenderTrigger Class

###### Namespace: Cysharp.Threading.Tasks.Triggers

###### Assembly: cs.temp.dll.dll

    public sealed class AsyncPreRenderTrigger : AsyncTriggerBase<AsyncUnit>, IUniTaskAsyncEnumerable<AsyncUnit>

##### Inheritance

System.Object → AsyncTriggerBase<AsyncUnit> → AsyncPreRenderTrigger

##### Implements

IUniTaskAsyncEnumerable<AsyncUnit>

### Members

#### Methods

Name | Description
--- | ---
GetOnPreRenderAsyncHandler() |
GetOnPreRenderAsyncHandler(CancellationToken) |
OnPreRenderAsync() |
OnPreRenderAsync(CancellationToken) |

### Methods

#### GetOnPreRenderAsyncHandler()

    public IAsyncOnPreRenderHandler GetOnPreRenderAsyncHandler()

##### Returns

IAsyncOnPreRenderHandler

#### GetOnPreRenderAsyncHandler(CancellationToken)

    public IAsyncOnPreRenderHandler GetOnPreRenderAsyncHandler(CancellationToken cancellationToken)

##### Parameters

`cancellationToken` System.Threading.CancellationToken

##### Returns

IAsyncOnPreRenderHandler

#### OnPreRenderAsync()

    public UniTask OnPreRenderAsync()

##### Returns

UniTask

#### OnPreRenderAsync(CancellationToken)

    public UniTask OnPreRenderAsync(CancellationToken cancellationToken)

##### Parameters

`cancellationToken` System.Threading.CancellationToken

##### Returns

UniTask

### Implements

IUniTaskAsyncEnumerable<T>